uses
    tools;
var
    root: longint;
begin
    randseed := 43543580;
    root := generateSymmFree(0, 7);
    root := buildNF(root);
    root := expand(root, 0.5);
    root := addFeatures(root, 0.1);
    outputRandom(root);
end.
